{% extends 'base.html.twig' %}

{% block title %}New User{% endblock %}

{% block body %}
    <div class="row flex-md-row-reverse">
        <div class="col-md-4">
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title">Logo</h4>
                </div>
                <div class="card-body text-center">
                    <img style="max-width: 200px;" src="{{ user.logoUrl }}" alt="">
                </div>
            </div>
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title">Mot de passe</h4>
                </div>
                <div class="card-body">
                    <p>
                        <a class="btn btn-primary" href="{{ path('dashboard_user_update_password') }}">Modifier votre mot de passe</a>
                    </p>
                </div>
            </div>
        </div>
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">
                    <h1 class="card-title">Mon compte</h1>
                </div>
                <div class="card-body">
                    {% for message in app.flashes('success') %}
                        <div class="row">
                            <div class="col-md-12">
                                <div class="alert alert-success">
                                    <strong class="alert-heading"><i class="fa fa-check"></i> Succès !</strong> {{ message }}
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                    {{ form_start(form) }}
                    <div class="form-group">
                        {{ form_label(form.email, 'Email') }}
                        {{ form_widget(form.email, {attr: {class: 'form-control'}}) }}
                        {{ form_errors(form.email) }}
                    </div>
                    <div class="form-group">
                        {{ form_label(form.name, 'Nom/Raison Sociale') }}
                        {{ form_widget(form.name, {attr: {class: 'form-control'}}) }}
                        {{ form_errors(form.name) }}
                    </div>
                    <div class="form-group">
                        {{ form_label(form.address, 'Adresse') }}
                        {{ form_widget(form.address, {attr: {class: 'form-control'}}) }}
                        {{ form_errors(form.address) }}
                    </div>
                    <div class="form-group">
                        {{ form_label(form.region, 'Région') }}
                        {{ form_widget(form.region, {attr: {class: 'select2 form-control'}}) }}
                        {{ form_errors(form.region) }}
                    </div>
                    <div class="form-group">
                        {{ form_label(form.field, 'Secteur d\'activité') }}
                        {{ form_widget(form.field, {attr: {class: 'select2 form-control'}}) }}
                        {{ form_errors(form.field) }}
                    </div>
                    <div class="form-group">
                        {{ form_label(form.vat_number, 'Matricule Fisclae') }}
                        {{ form_widget(form.vat_number, {attr: {class: 'form-control'}}) }}
                        {{ form_errors(form.vat_number) }}
                    </div>
                    <div class="form-group">
                        {{ form_label(form.phone, 'Téléphone') }}
                        {{ form_widget(form.phone, {attr: {class: 'form-control'}}) }}
                        {{ form_errors(form.phone) }}
                    </div>
                    <div class="form-group">
                        {{ form_label(form.logo, 'Logo') }}
                        {{ form_widget(form.logo, {attr: {class: 'form-control'}}) }}
                        {{ form_errors(form.logo) }}
                    </div>
                    <button class="btn btn-primary">{{ button_label|default('Enregistrer') }}</button>
                    {{ form_end(form) }}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
